BasicInternalFrameTitlePane.RestoreAction (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicInternalFrameTitlePane, class: RestoreAction
Keywords: javax.swing.plaf.basic.BasicInternalFrameTitlePane.RestoreAction class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicInternalFrameTitlePane.RestoreAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.plaf.basic.BasicInternalFrameTitlePane.RestoreAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  BasicInternalFrameTitlePane

    public class BasicInternalFrameTitlePane.RestoreAction
    extends AbstractAction

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

- ## Field Summary

  ### Fields declared in class javax.swing.AbstractAction

  `changeSupport, enabled`

  ### Fields declared in interface javax.swing.Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RestoreAction()` | Constructs a new instance of a `RestoreAction`.

- ## Method Summary

  ### Methods declared in class javax.swing.AbstractAction

  `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

  ### Methods declared in class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.swing.Action

  `accept`

  ### Methods declared in interface java.awt.event.ActionListener

  `actionPerformed`

- ## Constructor Details

  - ### RestoreAction

    public RestoreAction()
    Constructs a new instance of a `RestoreAction`.